
U++ - Feature #314

TheIDE: Assist++ support for RPC_METHOD and RPC_GMETHOD defines

07/25/2012 11:49 AM - Sender Ghost

Status: Approved Start date: 07/25/2012

Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 100%

Category: IDE Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

As for SKYLARK define, it is possible to create the same capability for U++ RPC methods, by replacing defines with function definitions.

Also I suggest to rename rpc_method_##name(RpcData& rpc) to name(RpcData& rpc) inside defines.

History

#1 - 07/25/2012 11:50 AM - Sender Ghost

- File 314_uppsrc.diff added

- Status changed from New to Patch ready

- % Done changed from 0 to 100

#2 - 07/25/2012 12:28 PM - Sender Ghost

- File deleted (314_uppsrc.diff)

#3 - 07/25/2012 12:29 PM - Sender Ghost

- File 314_uppsrc.diff added

#4 - 07/26/2012 09:40 PM - Miroslav Fidler

- Status changed from Patch ready to Approved

It is sort of useless as you are never calling those methods directly from the code, but it is harmless as well (and highlighting is sort of nice) -> patch

applied.

Files

314_uppsrc.diff 3.31 KB 07/25/2012 Sender Ghost

04/27/2025 1/1

/redmine/issues/310

